# -*- coding: cp1252 -*-
import PyTango
import sys
import logging

from TestDeviceImpl import *

class TestDeviceClass(PyTango.DeviceClass):

    def __init__(self, name):
        PyTango.DeviceClass.__init__(self, name)
        self.set_type("")
        print 'Ready to accept request...'
                       
if __name__ == '__main__':
    sys.argv.append("Test")

    try:
        py = PyTango.Util(sys.argv)
        py.add_TgClass(TestDeviceClass, TestDeviceImpl, 'TestDeviceImpl')

        U = PyTango.Util.instance()
        U.set_polling_threads_pool_size(2)
        ps = U.get_polling_threads_pool_size()
        print "polling threads pool size : ", str(ps)
        U.server_init()
        U.server_run()
    
    except PyTango.DevFailed,e:
        print '-------> Received a DevFailed exception:',e
    
    except Exception,e:
        print '-------> An unforeseen exception occured....',e